| Flutter Impeller |

Public Member Functions | List of all members
impeller::CapabilitiesBuilder Class Reference

`#include <capabilities.h>`

## Public Member Functions
| CapabilitiesBuilder ()
| ~CapabilitiesBuilder ()
CapabilitiesBuilder & | SetSupportsOffscreenMSAA (bool value)
CapabilitiesBuilder & | SetSupportsSSBO (bool value)
CapabilitiesBuilder & | SetSupportsBufferToTextureBlits (bool value)
CapabilitiesBuilder & | SetSupportsTextureToTextureBlits (bool value)
CapabilitiesBuilder & | SetSupportsFramebufferFetch (bool value)
CapabilitiesBuilder & | SetSupportsCompute (bool value)
CapabilitiesBuilder & | SetSupportsComputeSubgroups (bool value)
CapabilitiesBuilder & | SetSupportsReadFromResolve (bool value)
CapabilitiesBuilder & | SetDefaultColorFormat (PixelFormat value)
CapabilitiesBuilder & | SetDefaultStencilFormat (PixelFormat value)
CapabilitiesBuilder & | SetDefaultDepthStencilFormat (PixelFormat value)
CapabilitiesBuilder & | SetSupportsDecalSamplerAddressMode (bool value)
CapabilitiesBuilder & | SetSupportsDeviceTransientTextures (bool value)
CapabilitiesBuilder & | SetDefaultGlyphAtlasFormat (PixelFormat value)
std::unique_ptr< Capabilities > | Build ()

## Detailed Description

Definition at line 122 of file capabilities.h.

## Constructor & Destructor Documentation

## ◆ CapabilitiesBuilder()

impeller::CapabilitiesBuilder::CapabilitiesBuilder | ( |  | ) |
| default

## ◆ ~CapabilitiesBuilder()

impeller::CapabilitiesBuilder::~CapabilitiesBuilder | ( |  | ) |
| default

## Member Function Documentation

## ◆ Build()

std::unique_ptr< Capabilities > impeller::CapabilitiesBuilder::Build | ( |  | ) |

Definition at line 226 of file capabilities.cc.

226 {
227 return std::unique_ptr<StandardCapabilities>(new StandardCapabilities( //
228 supports_offscreen_msaa_, //
229 supports_ssbo_, //
230 supports_buffer_to_texture_blits_, //
231 supports_texture_to_texture_blits_, //
232 supports_framebuffer_fetch_, //
233 supports_compute_, //
234 supports_compute_subgroups_, //
235 supports_read_from_resolve_, //
236 supports_decal_sampler_address_mode_, //
237 supports_device_transient_textures_, //
238 default_color_format_.value_or(PixelFormat::kUnknown), //
239 default_stencil_format_.value_or(PixelFormat::kUnknown), //
240 default_depth_stencil_format_.value_or(PixelFormat::kUnknown), //
241 default_glyph_atlas_format_.value_or(PixelFormat::kUnknown) //
242 ));
243 }

References impeller::kUnknown.

Referenced by impeller::InferMetalCapabilities(), and impeller::testing::TEST().

## ◆ SetDefaultColorFormat()

CapabilitiesBuilder & impeller::CapabilitiesBuilder::SetDefaultColorFormat | ( | PixelFormat | value | ) |

Definition at line 184 of file capabilities.cc.

185 {
186 default_color_format_ = value;
187 return *this;
188 }

Referenced by impeller::InferMetalCapabilities(), and impeller::testing::TEST().

## ◆ SetDefaultDepthStencilFormat()

CapabilitiesBuilder & impeller::CapabilitiesBuilder::SetDefaultDepthStencilFormat | ( | PixelFormat | value | ) |

Definition at line 196 of file capabilities.cc.

197 {
198 default_depth_stencil_format_ = value;
199 return *this;
200 }

Referenced by impeller::InferMetalCapabilities(), and impeller::testing::TEST().

## ◆ SetDefaultGlyphAtlasFormat()

CapabilitiesBuilder & impeller::CapabilitiesBuilder::SetDefaultGlyphAtlasFormat | ( | PixelFormat | value | ) |

Definition at line 220 of file capabilities.cc.

221 {
222 default_glyph_atlas_format_ = value;
223 return *this;
224 }

Referenced by impeller::InferMetalCapabilities(), and impeller::testing::TEST().

## ◆ SetDefaultStencilFormat()

CapabilitiesBuilder & impeller::CapabilitiesBuilder::SetDefaultStencilFormat | ( | PixelFormat | value | ) |

Definition at line 190 of file capabilities.cc.

191 {
192 default_stencil_format_ = value;
193 return *this;
194 }

Referenced by impeller::InferMetalCapabilities(), and impeller::testing::TEST().

## ◆ SetSupportsBufferToTextureBlits()

CapabilitiesBuilder & impeller::CapabilitiesBuilder::SetSupportsBufferToTextureBlits | ( | bool | value | ) |

Definition at line 155 of file capabilities.cc.

156 {
157 supports_buffer_to_texture_blits_ = value;
158 return *this;
159 }

Referenced by impeller::InferMetalCapabilities().

## ◆ SetSupportsCompute()

CapabilitiesBuilder & impeller::CapabilitiesBuilder::SetSupportsCompute | ( | bool | value | ) |

Definition at line 173 of file capabilities.cc.

173 {
174 supports_compute_ = value;
175 return *this;
176 }

Referenced by impeller::InferMetalCapabilities().

## ◆ SetSupportsComputeSubgroups()

CapabilitiesBuilder & impeller::CapabilitiesBuilder::SetSupportsComputeSubgroups | ( | bool | value | ) |

Definition at line 178 of file capabilities.cc.

179 {
180 supports_compute_subgroups_ = value;
181 return *this;
182 }

Referenced by impeller::InferMetalCapabilities().

## ◆ SetSupportsDecalSamplerAddressMode()

CapabilitiesBuilder & impeller::CapabilitiesBuilder::SetSupportsDecalSamplerAddressMode | ( | bool | value | ) |

Definition at line 208 of file capabilities.cc.

209 {
210 supports_decal_sampler_address_mode_ = value;
211 return *this;
212 }

Referenced by impeller::InferMetalCapabilities().

## ◆ SetSupportsDeviceTransientTextures()

CapabilitiesBuilder & impeller::CapabilitiesBuilder::SetSupportsDeviceTransientTextures | ( | bool | value | ) |

Definition at line 214 of file capabilities.cc.

215 {
216 supports_device_transient_textures_ = value;
217 return *this;
218 }

Referenced by impeller::InferMetalCapabilities().

## ◆ SetSupportsFramebufferFetch()

CapabilitiesBuilder & impeller::CapabilitiesBuilder::SetSupportsFramebufferFetch | ( | bool | value | ) |

Definition at line 167 of file capabilities.cc.

168 {
169 supports_framebuffer_fetch_ = value;
170 return *this;
171 }

Referenced by impeller::InferMetalCapabilities().

## ◆ SetSupportsOffscreenMSAA()

CapabilitiesBuilder & impeller::CapabilitiesBuilder::SetSupportsOffscreenMSAA | ( | bool | value | ) |

Definition at line 145 of file capabilities.cc.

145 {
146 supports_offscreen_msaa_ = value;
147 return *this;
148 }

Referenced by impeller::InferMetalCapabilities().

## ◆ SetSupportsReadFromResolve()

CapabilitiesBuilder & impeller::CapabilitiesBuilder::SetSupportsReadFromResolve | ( | bool | value | ) |

Definition at line 202 of file capabilities.cc.

203 {
204 supports_read_from_resolve_ = read_from_resolve;
205 return *this;
206 }

Referenced by impeller::InferMetalCapabilities().

## ◆ SetSupportsSSBO()

CapabilitiesBuilder & impeller::CapabilitiesBuilder::SetSupportsSSBO | ( | bool | value | ) |

Definition at line 150 of file capabilities.cc.

150 {
151 supports_ssbo_ = value;
152 return *this;
153 }

Referenced by impeller::InferMetalCapabilities().

## ◆ SetSupportsTextureToTextureBlits()

CapabilitiesBuilder & impeller::CapabilitiesBuilder::SetSupportsTextureToTextureBlits | ( | bool | value | ) |

Definition at line 161 of file capabilities.cc.

162 {
163 supports_texture_to_texture_blits_ = value;
164 return *this;
165 }

Referenced by impeller::InferMetalCapabilities().

The documentation for this class was generated from the following files:

- impeller/renderer/capabilities.h
- impeller/renderer/capabilities.cc

impeller::PixelFormat::kUnknown
@ kUnknown